/** 混合型(ASCII+中文字)字串轉url內碼回傳 PS:str(混合字串);回傳utf8內碼字串
 * URL all strings Encoding.(with Jquery)
 */
function EncodeURLutf8(str) {
	return (
		encodeURIComponent(str).replace(/[-_.!~*'()]/g,(c)=>'%'+c.charCodeAt(0).toString(16))
	);
}